getUser.v1
POST
/shopgate.user.getUser.v1
Fetches all saved information about a user from the connected shop. This can only be done in logged-in status and not for guests. This pipeline can be used to check the logged-in status of a user. The pipeline returns an EACCESS error code if the user is not logged in, otherwise it returns the user’s data. The data includes personal information.
Request Body
Section titled “Request Body”Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”Returns information about the current user.
Media typeapplication/json
object
id
required
Unique identifier for the user.
string
mail
required
User’s email address.
string
firstName
User’s first name.
string
lastName
User’s last name.
string
userGroups
Array<object>
object
id
required
string
name
string
customAttributes
object
Example
{ "id": "501f8dcb-b4e6-48bc-b815-3d2a2bc6deae", "mail": "john.doe@shopgate.com", "firstName": "John", "lastName": "Doe", "userGroups": [ { "id": "1", "name": "default" }, { "id": "5", "name": "VIP" } ], "customAttributes": { "dob": "1952-03-11", "middlename": "Noel" }}Unauthorized user
Media typeapplication/json
Unknown error
Media typeapplication/json

